# Packmangroup: Multimedia &gt; xine
# Packmanpackagename: xine-browser-plugin
# Packman: Manfred Tremmel
%define name    xine-browser-plugin
%define version 0.2cvs
%define release 20031207

Name:           %{name}
# Packmandesc: xine-browser-plugin provides multimedia capabilities to Netscape/Mozilla or compatible browsers using xine engine.
# Packmandesc_de: xine-browser-plugin stellt Netscape/Mozilla und kompatiblen Browsern Multimediafhigkeiten basierend auf xine zur Verfgung.
# Packmandepends: libxine1
Summary:        A Netscape/Mozilla plugin using xine engine for audio/video playback.
Summary(de):    Ein Netscape/Mozilla Plugin welches xine zur Wiedergabe von Audio/Videos nutzt.
Version:        %{version}
Release:        %{release}
Group:          Applications/Internet
Copyright:      GPL
Url:            http://xinehq.de

Source0:        xine-browser-plugin-cvs.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       libxine1 >= %{version}
Buildrequires:  libxine1 >= %{version}, libxine1-devel >= %{version}
Obsoletes:      xine-plugin, xine-mozilla-plugin
Provides:       xine-plugin, xine-mozilla-plugin

%description
xine-browser-plugin provides multimedia capabilities to Netscape/Mozilla or
compatible browsers using xine engine.

%description -l de
xine-browser-plugin stellt Netscape/Mozilla und kompatiblen Browsern Multimediafhigkeiten
basierend auf xine zur Verfgung.

%prep
%setup -n xine-plugin

%build
export CFLAGS="$RPM_OPT_FLAGS"

if [ ! -f configure ]; then
#   NO_CONFIGURE=1 ./autogen.sh
   NO_CONFIGURE=1 ./cvscompile.sh
fi

#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
# Use BUILD_ARGS envvar to pass extra parameters to configure (like --enable-dha-mod/etc...)
#
./configure --build=%{_target_platform} --prefix=%{_prefix} \
	    --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} --includedir=%{_includedir} \
	    --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} \
	    --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
	    --infodir=%{_infodir} PLUGIN_DIR=%{_libdir}/browser-plugins \
	    $BUILD_ARGS
make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} LIBRARY_PATH=${RPM_BUILD_ROOT}%{_libdir} install
rm ${RPM_BUILD_ROOT}%{_libdir}/browser-plugins/xineplugin.la
mkdir -p ${RPM_BUILD_ROOT}/opt/netscape/plugins
mkdir -p ${RPM_BUILD_ROOT}/opt/mozilla/plugins
mkdir -p ${RPM_BUILD_ROOT}/opt/mozilla/lib/plugins
cd ${RPM_BUILD_ROOT}/opt/netscape/plugins
ln -s %{_libdir}/browser-plugins/xineplugin.so .
cd ${RPM_BUILD_ROOT}/opt/mozilla/lib/plugins
ln -s %{_libdir}/browser-plugins/xineplugin.so .

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README TODO AUTHORS COPYING ChangeLog
%{_libdir}/browser-plugins/xineplugin.so
/opt/netscape/plugins/xineplugin.so
/opt/mozilla/lib/plugins/xineplugin.so

%changelog
* Sun Nov 16 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- CVS-Compile-SPECFILE, no changelog-history
